#!/bin/sh

# logprocmail.sh: Process your procmail log and create a graph.
# Version: 0.1
# Release: 2005-08-23
# Copyright (C) 2005 Fabien Nioles
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# Todo: lot of bugs fixing, cleanup, documentation, etc, etc, etc.

DIRPATH=`dirname $0`
export PYTHONPATH=$HOME/lib/python
LOGFILE=$HOME/proclog/`date +weekly%Y.%m.%d.log`

mkdir -p `dirname $LOGFILE`

mailstat -t $HOME/.proclog | tee $LOGFILE
# Now, create the graph.
umask 022
$DIRPATH/processlog.py `dirname $LOGFILE`/*

# This line give me a link to my email web page for the graph.
echo
echo http://www.tzone.org/~fabien/email.html
